Bug 39468 - Integration of TUX broke higher number system calls
Integration of TUX broke higher number system calls
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-07 16:43 EDT by Chip Christian
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 17:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chip Christian 2001-05-07 16:43:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
linux/arch/i386/kernel/entry.S is broken in that if I choose to 
install TUX neither monolithic nor as a module all higher numbered
system calls are moved one position too low.

How reproducible:
Always

Steps to Reproduce:
1.Build a kernel with POSIX ACL support
2.Try to use it
3.
	

Actual Results:  Calling sys_acl_get calls sys_acl_set.  Calling 
sys_acl_set returns
ENOSYS

Additional info:

Apply this patch:

--- linux.old/arch/i386/kernel/entry.S      Mon May  7 14:07:15 2001
+++ linux-2.4/arch/i386/kernel/entry.S Mon May  7 13:58:14 2001
@@ -651,6 +651,8 @@
 # ifdef CONFIG_TUX_MODULE
        .long SYMBOL_NAME(sys_tux)
 # endif
+#else
+       .long SYMBOL_NAME(sys_ni_syscall)
 #endif
        .long SYMBOL_NAME(sys_ni_syscall)
        .long SYMBOL_NAME(sys_ni_syscall)
Comment 1 Ingo Molnar 2001-05-08 04:40:56 EDT
thanks, i've applied your fix, it should show up in the next kernel errata.
Comment 2 Chip Christian 2001-05-08 14:38:16 EDT
I hope you didn't apply my patch as is...  I put the else after the inner
endif, when it obviously needs to come before!

Note You need to log in before you can comment on or make changes to this bug.